## Overview

Play as a demigod, chosen from a daughter or son of Odin, blessed with the powers of the gods. This mod adds unique classes with magic, spells, abilities, items and more.

Please note that **your advanced settings will be reset on every new update** for re-balancing purposes, unless 'Automatically Update Configs' is disabled in your configs.

![](https://s13.gifyu.com/images/S02nT.gif)

## Setup

It is important that you do not rename the file "NorseDemigods.dll" and ensure that other files that come along with the mod are located in the same folder, else the mod will not function correctly (if at all).

Mods which seem to be incompatible with NorseDemigods:

| Mod | Comments |
| --- | --- |
| CombatincentivesREwrite | Reported by an user on Discord: Cannot save nor respawn when using both mods in parallel. |
| Shawesomes Divine Armaments | Reported by an user on Discord: Having 'ssj' activated will make your skill leveling too fast. |

## Getting Started

* Check your in-game **'compendium'** (click on the bird icon on the 'tab' menu) for all necessary instructions on how to get started. Your 'compendium' will be updated with more information after having chosen a demigod, such as abilities, attributes, infused materials, and even the possible **hotkey combinations for your abilities**.
* You might want to change the hotkeys for your abilities by tweaking the values in section '(Hotkeys)' in your configs. The user interface is also customizable in section 'User Interface', which can be updated in real time if using a configuration manager mod.

## General Tips

* Although the mod is linearly balanced and somewhat vanilla friendly, once you get used to it, you could feel overpowered. **It is recommended that you change the value of 'Difficulty' in the mod configs** to something else, such as 'Hardcore' (recommended difficulty), or use the world modifiers or another mod to increase the game difficulty.
* Even though this mod will fully work with already existing characters, it is recommended that you use this mod on a fresh character. Some demigods fully rely on their main skill (demigod) to cause damage (e.g. Fenrir), which will naturally and steadily progress from the start of the game, but may be tedious to catch up with if started late.
* **You can enable and disable optional features in your configs**, such as 'Teleportation' or 'Harpoon Fishing', which was inspired by the 'SpearFish' mod by Korppis, allowing you to catch fish with an Abyssal harpoon and upgrade it. This mod introduces sweet fish recipes, which are an almost essential type of food for demigods.
* Due to demigods having limited types of preferred weapons, I highly recommend the 'Warfare' mod by Therzie, which will not only introduce new weapons, but also new combat animations (for valkyries this is quite a big change with the introduction of pikes).

## Hotkeys

Below are the default hotkeys for the commands that this mod introduces.
* Please note that some abilities are triggered by a combination of keys, which can all be **found in your 'compendium'** after choosing a demigod.
* Some abilities are triggered using the special attack in conjuction with another event, such as blocking or jumping. You can find all combinations in your 'compendium' after choosing a demigod.
* **All hotkeys can be changed in the config file** in section '(Hotkeys)'. It is recommended, however, that you use a configuration manager mod (such as the 'Official BepInEx Configuration Manager' mod by Azumatt) to bind the hotkeys directly in-game.

| Command | Default Hotkey | Comments |
| --- | --- | --- |
| Ability A | Front-side mouse button | You should definitely change this hotkey if you do not have side mouse buttons. |
| Ability B | Back-side mouse button | You should definitely change this hotkey if you do not have side mouse buttons. |
| Ability C | Blocking + Front-side mouse button | You can assign a dedicated hotkey to this ability if you do not want to hold block. |
| Ability D | Blocking + Back-side mouse button | You can assign a dedicated hotkey to this ability if you do not want to hold block. |
| Ignore Special Attack | Left Alt (Hold) | Some abilities override the weapon special attacks. Hold that key to ignore an special attack introduced by an ability. |
| Teleport | P | If you wish to disable the teleport ability, you can simply disable it in section 'Teleportation' in your configs (instead of unbinding the hotkey). |

## Demigods

| Demigod | Brief Description | Favorite Element(s) | Favorite Weapon(s) | Favorite Armor(s) |
| --- | --- | --- | --- | --- |
| Eir | Heals, conjures an elemental shield and even organic matter, bringing light to even the depths of the underworld. | Spirit & fire | Spears, swords & shields | Heavy |
| Fenrir | Lands destructive punches with the companion of a wolf, so strong that they will take down even trees. | Frost | Fists | Light |
| Freyja | A member of the family of Valkyries. Charms enemies and calls the nature for help. | Poison | Spears, swords & shields | Heavy |
| Hel | The gate keeper of the underworld. Brings darkness to the surroundings while followed by many minions. | Spirit & poison | Two-handed axes, two-handed swords, polearms & knives | Heavy & light |
| Surtr | Burns everything around by using weapons, spells, and even minions. | Fire | Axes, swords & polearms | Heavy |
| Thor | Dashes at the speed of light and strikes enemies with lightning. | Lightning | Hammers, axes & Himminafl | Heavy |
| Ullr | A true hunter accompanied by a wolf. Master of bows, knives and stealth. | Frost & poison | Bows, knives, spears & axes | Light |

## Infused Materials

This mod introduces several infused materials that you can craft and consume to become even more powerful. For 'Infused Abilities' (which will make your abilities more powerful), you can refer to your compendium (introduction) to find clues about the recipe for your demigod (after choosing one).

<details>
<summary>Spoilers: click here to expand...</summary>

| Infused Material | Effect | Crafting Station |
| --- | --- | --- |
| Infused Ancient Seed | Infuses your abilities. Can only be consumed by Freyja. | Workbench level 4+ |
| Infused Bones | Infuses your abilities. Can only be consumed by Hel. | Forge level 7+ |
| Infused Claws | Infuses your abilities. Can only be consumed by Fenrir. | Forge level 7+ |
| Infused Feathers | Infuses your abilities. Can only be consumed by Ullr. | Forge level 7+ |
| Infused Hammer | Infuses your abilities. Can only be consumed by Thor. | Forge level 7+ |
| Infused Honey | Infuses your abilities. Can only be consumed by Eir. | Workbench level 4+ |
| Infused Surtling | Infuses your abilities. Can only be consumed by Surtr. | Forge level 7+ |
| Infused Bloodbag | Permanently increases your maximum health. | Forge level 3+ |
| Infused Chitin | Permanently increases your block armor (with shields). | Forge level 3+ |
| Infused Eitr | Permanently increases your maximum eitr and eitr regeneration. | Galdr table level 3+ |
| Infused Hard Antlers | Permanently increases your attack speed (with melee weapons). | Forge level 3+ |
| Infused Leather Scraps | Permanently decreases the time that it takes to passively regenerate an energy point. | Forge level 3+ |
| Infused Serpent Scale | Permanently increases your armor. | Forge level 3+ |
| Infused Megingjord | Equip it to increase your maximum energy and maximum carry weight. | Forge level 7+ |

All recipes can be found in the "Consumables.json" file where "NorseDemigods.dll" is located.

</details>

## Console Commands

| Command | Description | Requires Admin Mode? |
| --- | --- | --- |
| MakeMeSaiyan | Become a Saiyan. This is just a test character used by the mod creator to test new abilities and attributes. Preview localization only in English. | Yes |
| NoAbilityCooldown | Abilities have no cooldown. | Yes |
| NoEnergyCost | Abilities do not cost any energy. | Yes |
| RestoreEnergy | Restores your energy and applies the rested buff. | Yes |
| ResetDemigodSettings | Reset advanced mod settings, such as abilities, attributes and demigods configs (no data/progress will be lost). | Yes |
| RevokeDemigod | Revokes your demigod powers and all saved data within. | No |

## Translation

The content of this mod has the full potential to be translated into other languages via text/json files (except for configs). If you translate the files into any language that is not yet available, feel free to share them with me on Discord so that I can include them into the official mod.

At the moment, only the following languages are available:

| Language | Contributor | Quality | Comments |
| --- | --- | --- | --- |
| English | Alpus | High | Original localization |
| French | Slayder | Medium | Automatic translation |
| Portuguese Brazilian | WayWard | High | Manual translation |
| Ukranian | Xzar_Warrior | High | Manual translation |

In order to translate the content into another language:
* If you **do not** have a folder named 'Translations' where 'NorseDemigods.dll' is located: Copy 'EN-NorseDemigods.json' and rename the "EN" letters into the language code you want to translate the mod into (as per the below table). E.g. "EN-NorseDemigods.json" into "KO-NorseDemigods.json" for Korean,.
* If you **do** have a folder named 'Translations' where 'NorseDemigods.dll' is located: Open the 'Translations' folder, copy the 'English' folder and rename the copied folder into another language as per the table below (e.g. 'Swedish'). Then inside the new renamed folder, rename the "EN" letters from 'EN-NorseDemigods.json' into the language code you want to translate the mod into (as per the below table). E.g. "EN-NorseDemigods.json" into "SE-NorseDemigods.json" for Swedish.

<details>
<summary>Languages: click here to expand...</summary>

| Code | Language|
| --- | --- |
| AB | Abenaki|
| BG | Bulgarian|
| CS | Czech|
| DA | Danish|
| DE | German|
| EL | Greek|
| ES | Spanish|
| FI | Finnish|
| FR | French|
| HI | Hindi|
| HR | Croatian|
| HU | Hungarian|
| IS | Icelandic|
| IT | Italian|
| JA | Japanese|
| KA | Georgian|
| KO | Korean|
| LT | Lithuanian|
| LV | Latvian|
| ML | Macedonian|
| NO | Norwegian|
| NL | Dutch|
| PL | Polish|
| PT-BR | Portuguese_Brazilian|
| PT-EU | Portuguese_European|
| RO | Romanian|
| RU | Russian|
| SE | Swedish|
| SK | Slovak|
| SR | Serbian|
| TH | Thai|
| TR | Turkish|
| UK | Ukrainian|
| ZH-CN | Chinese|
| ZH-TW | Chinese_Trad|

</details>

## Join me on discord to report bugs and give me feedback

Link: <a href="https://discord.gg/gSQHmE3yap">https://discord.gg/gSQHmE3yap</a>

## Release notes

### v1.0.6
* Built-in difficulty revamped for better balancing. Higher difficulties will also slightly affect the base damage of enemies. Also added the possibility to increase the spawn count of weaker creatures such as greydwarves or skeletons under the 'Difficulty' section.
* Fixed an issue with Therzie's mods which were setting the damage modifier to 0 for many of my abilities that are not bound to a particular skill. This is a work-around until Therzie hopefully decides to fix this on his end since it could affect other mods too.
* Fixed a few lines that were broken with the Portuguese Brazilian translation. It should work correctly now.

### v1.0.5
* Portuguese Brazilian translation added into the game. Thank you, WayWard!
* Added a cheat console command to play as a test character, 'Saiyan', used by the mod creator to test new abilities and attributes.
* Tool tier for ability 'Holy Sun' is now configurable, meaning it can be configured to damage high tier modded trees and ores.
* Fixed a bug which was taking the stamina value to a negative number when blocking as Fenrir at level 0.

### v1.0.4
* Drop multiplier from attribute 'Hunter' will also affect feathers dropped from birds.
* Ullr's sneaking visual effect will now also fully affect equipped armor.

### v1.0.3
* Ghost visual effect added to Ullr's wolf. Can be disabled in the configs.
* Titan Arms' block armor will now also affect fist weapons (e.g. claws).
* Iceshards will no longer be launched when having a weapon equipped.
* Infused arrows will now spread frost damage to very close enemies.
* Infused arrows will cause more damage.
* Small tweaks and bug fixing.

### v1.0.2
* Ukrainian translation added into the game. Thank you, Xzar_Warrior!
* French translation added into the game. Thank you, Slayder!
* After using the teleportation ability to teleport to bed, your previous location will expire after some time (5 minutes by default).
* Added compatibility with mod 'Harpoon Melee Attack And Upgrading' by Goldenrevolver.
* Fixed an issue with ability 'Infused Arrows' which was not working with crossbows.
* Two new translation keys added:
```
"ability_teleport_location_expiration_se"
"ability_teleport_location_expiration_warning"
```

### v1.0.1
* Fix for ability 'Elemental Shield', which was breaking the game when trying to absorb periodic damage.
* Fenrir's command for the slash ability inverted with ice shards (slash is now triggered with a simple special attack while unarmed, whereas ice shards are triggered with blocking + special attack).
* Fenrir can now chop down trees with fist weapons. However, fist weapons will not benefit from the block armor bonus from Titan Arms and will suffer an attack speed penalty when casting iceshards.
* Fenrir is now allowed to use torches.
* Translation files combined into one: 'EN-NorseDemigods.json' for English. Renamed translation keys:
```
"enhanced_armor_fenring_additional_tooltip" --> "item_set_fenring_enhanced_armor_additional_tooltip"
"sweet_fish_consumption_unique" --> "item_sweet_fish_consumption_unique"
"unarmed_tool_tier_level_up_message" --> "attribute_titanarms_unarmed_tool_tier_level_up_message"
```

### v1.0.0
* Mod difficulty setting implemented, which tweaks the final damage caused by enemies (only after applying resistances, armors and others, which works differently from a world modifier).
* Added a setting in the configs to disable the automatic update of your advanced settings whenever the mod is updated.
* Added a hotkey which you can hold to ignore any special attacks introduced by the mod, e.g. 'Slash'.
* Surtr has now greatly improved abilities after infusion, with new mechanics and special effects.
* Fenrir can now punch logs that are too low. In fact, all players can now more easily hit things which are too high or low.
* Fenrir can now normally use fist weapons (e.g. claws), but at a reduced damage and stamina usage (since Fenrir can punch much faster by default).
* New ability for all demigods added: 'Teleport' - It will teleport you back to your bed, and then to the previous saved location before teleporting to bed. Can be disabled in the configs.
* New attribute for 'Hel' added: 'Soul Reaper' - It has a chance to make monsters explode upon dying.
* Added a setting to customize the recipe for crafting the Runestone (used to choose a demigod).
* Fixed the damage of all spells that cast projectiles, such as 'Fire Ball'.
* Many other enhancements, tweaks and bug fixes.

### v0.9.3
* (Hotfix) Fixed an issue with Freyja and Eir not being able to chop down trees or mine ores after the new update.
* New ability for 'Surtr' added: 'Crush' - Jump and use the special attack to crush the enemies below.
* One small adjustment and bug fix.

### v0.9.2
* Almost all special effects are now visible and audible in multi-player, essentially moving the mod into **beta testing phase**.
* New infused items: 'Infused Bloodbag' and 'Infused Serpent Scale'.
* A number of special effects updated and enhanced.
* Many tweaks and bug fixes.

### v0.9.1
* (Hotfix) Fixed an issue with the game running into an infinite loop when Thor would take damage from a non-character.

### v0.9.0
* Possibility to bind Abilities C and D to a dedicated hotkey or shortcut. By default, these keys are not bound, so the same behavior as previously will take place (i.e. Abilities A and B + Blocking).
* Added more weapon diversity to preferred weapons by each demigod, making more use of axes among other weapons. Please see the demigods table above for more details.
* Vast re-balancing of abilities and attributes, with the most noticeable one being adjustment of the movement speed across several demigods.
* Added a new demigod: 'Eir'. Eir is another Valkyrie, but with stronger healing powers and holy abilities overall.
* Replaced ability 'Fire Aura' from Surtr with a fire shield, mitigating and reflecting incoming damage.
* Ability 'Sacrifice' from Hel will make active skeletons explode, damaging nearby enemies.
* Replaced some and added some new special effects.
* A number of bug fixes and code refactoring in preparation for changes to make the mod fully playable in multi-player (work in progress).

### v0.8.2
* (Hotfix) Fixed issues with visual effects in multi-player that were out of place and causing massive lag, by temporarily disabling them. This means a player will not see all other players' visual effects, but at least this is a work-around until the issue is permanently fixed.
* Hel's weapon buffs now also apply to two-handed axes.

### v0.8.1
* Added new consumable 'Infused Hard Antlers', which will increase your attack speed permanently. Can be consumed up to 5 times.
* Significantly modified and enhanced attributes for Hel and Freyja with new effects.
* Added new ability 'Meteor' for Hel which will summon a meteor from high up.
* Several bug fixes and other enhancements.

### v0.8.0
* Several abilities added and changed for Demigod 'Hel'. The class is now fully playable.
* Fixed several issues related to visual effects when playing multiplayer, but not all.
* Enabled compatibility with mod 'Agility' by 'blacks7ar'.
* Other tweaks and fixes.

### v0.7.3
* Fix for ability 'Dash', which was not consistently working after patch 0.217.29.
* Some basic functionality for demigod 'Hel' (barely playable at this stage).

### v0.7.2
* Added a new food item: 'Sweet Shrimp', which is one tier higher than 'Sweet Sushi'. Thanks to user **@asghardien** on Discord for the icon.
* A few more tweaks done to Ullr, making the initial version of this demigod now completed.
* Several bug fixes, re-balancing and some minor polishing.

### v0.7.1
* Added 'Infused Feathers' for Ullr, including infusion effects for most abilities (except for one).
* Replaced ability 'Tar Bomb' with 'Sense Creatures' for demigod Ullr.
* (Hotfix) Forsaken power is now working normally again.
* (Hotfix) Ullr is playable again.

### v0.7.0
* Ullr significantly upgraded and now much more playable and fun. Several changes to abilities and attributes.
* Demigod, attribute and ability settings set as advanced (you can still modify them).
* Setting added to pin the closest merchant on the map. Disabled by default.
* Setting added to disable passive visual effects surrounding the player.
* Enabled compatibility with mod 'Auga'.

### v0.6.4
* Added a new item: 'Infused Scrapped Leathers', which will decrease the time taken to passively regenerate one energy point. Pig farmer big way!
* Added a new ability for Thor: 'Lightning Aura', which will increase your attack speed, movement speed, and stamina regeneration while active.
* Added chain lightning capabilities for ability 'Lightning Strike' after infusion.
* Ability 'Restoration' will no longer activate any forsaken powers.
* Other bug fixes and enhancements.

### v0.6.3
* Added and tweaked some abilities for Freyja, finalizing the core class.
* All abilities and attributes are now displayed on the runestone menu.
* Some more bug fixing and re-balancing.

### v0.6.2
* Mod now supports Vulkan.

### v0.6.1
* Freyja will now spawn deathsquitos when casting the 'Poison Cloud' ability (only after infusion).
* Freyja will remove poison immunity from enemies by hitting them with any weapon or ability.
* Ability 'Charm' has now a small chance to permanently tame animals (only tameable ones).
* Further minor re-balancing.
* Fixed several localization/text issues.
* Fixed some bugs with the 'Charm' ability and the Wolf Meter (UI).

### v0.6.0
* New demigods added: Freyja (90% completed) and Ullr (50% completed).
* New ability added: Frost Nova (for Fenrir).
* Several bug fixes and re-balancing.
* Compatibility with patch 0.217.24.

### v0.5.3
* Removed some special effects from characters on the main (selection) menu, which were causing issues (at least until a permanent fix is found).
* Fixed the animation speed of abilities 'Ice Shards' and 'Lightning Strike' - they are faster now as initially intended.
* Other small bug fixes and small performance improvements (mainly caching of animation clips).

### v0.5.2
* (Hot Fix) Ability 'Fire Ball' and Staff of Embers were no longer working after update v0.5.1. They should work once again now.

### v0.5.1
* New abilities added: 'Ice Shards' for Fenrir and 'Lightning Strike' for Thor. Those are ranged abilities that use eitr. Please see your in-game compendium for more details.
* Minor bug fixes and further re-balancing.

### v0.5.0
* New demigod added: Surtr.
* New item added: Infused Chitin.
* Balance changes to all demigods.
* Minor performance improvements and bug fixes.

### v0.4.3
* Applied a work-around fix for localization/translation files not loading due to a bug with the Thunderstore mod manager downloading all files into the root folder instead of the correct packed folders.
* All buffs affecting bows will now also affect crossbows.
* Added console commands. Please see above.

### v0.4.2
* English translation keys which were missing, causing major issues, added.

### v0.4.1
* Compatibility fixes with patch 0.217.14.

### v0.4.0
* Initial early access release.